function v = lle(x, d, k);

cd = zeros(length(x),length(x));
for i = 1:length(x)
  for j = 1:length(x)
      cd(i,j) = norm(d(i,:)-d(j,:));
  end
end

cx = zeros(length(x),length(x));
for i = 1:length(x)
  for j = 1:length(x)
    cx(i,j) = (norm(x(i,:)-x(j,:)) <= sqrt(3));
  end
end

cr = cx.*cd;
cr(cr==0) = max(max(cr))+1;

neighbors = 3;
W = sparse(zeros(length(x),length(x)));
for i = 1:length(x)
  [e, nindex] = sort(cr(i,:));
  nindex = nindex(1:neighbors);
  Z = d(nindex,:)';
  C = Z'*Z;
  w = pinv(C)*ones(neighbors,1);
  w = w/sum(w);
  W(i,nindex) = w';
  disp(i);
end
M = (speye(length(x))-W)'*(speye(length(x))-W);

fprintf('Computing connectivity matrix eigensystem ... ');
tic;
[ev, el] = eig(full(M));
v = ev(:, 2:(clusters+1));
fprintf('done (%g)\n',toc);

