function fastestdim = fastestdimdetect(volume, slices, rows, cols, averages, directions)
% detects fastest dimension (innermost loop) for diffusion data volume
% returns either 'averages' or 'directions'

if (averages == 1)
     fastestdim = 'directions';
     return;
end

r1 = reshape(volume, [rows*cols*slices averages directions]);
r2 = reshape(volume, [rows*cols*slices directions averages]);

steps = 1:round(size(r1,1)/(10^3)):size(r1,1);
var1 = zeros(length(steps), directions);
var2 = zeros(length(steps), directions);

for i = 1:length(steps)
  var1(i,:) = squeeze(var(squeeze(r1(steps(i),:,:))));
  var2(i,:) = squeeze(var(squeeze(r2(steps(i),:,:))'));
end  

if mean(mean(var1)) < mean(mean(var2)) 
  fastestdim = 'averages';
else
  fastestdim = 'directions';
end

