function R = affine2rot(H)

R = H(1:3,1:3);

Rinit = R;

step = .1; err = 1; iter = 1;
maxiter = 10^3;
while ( (err > eps) & (iter<maxiter) )
  dR12 = (R(:,1)-R(:,2))*(R(:,1)'*R(:,2));
  dR21 = -dR12;

  dR13 = (R(:,1)-R(:,3))*(R(:,1)'*R(:,3));
  dR31 = -dR13;

  dR23 = (R(:,2)-R(:,3))*(R(:,2)'*R(:,3));
  dR32 = -dR23;

  R(:,1) = R(:,1)+step*(dR12+dR13);
  R(:,1) = R(:,1)/norm(R(:,1));
  
  R(:,2) = R(:,2)+step*(dR21+dR23);
  R(:,2) = R(:,2)/norm(R(:,2));
  
  R(:,3) = R(:,3)+step*(dR31+dR32);
  R(:,3) = R(:,3)/norm(R(:,3));
  err = max([R(:,1)'*R(:,2), R(:,1)'*R(:,3), R(:,2)'*R(:,3)]);
  iter = iter+1;
end

if (iter == maxiter)
  fprintf(['\nWARNING: Orthogonalization of transform matrix failed. ' ...
	   'Using Gram-Schmidt orthogonalization instead.']);
  R = grams(Rinit);
end

