function [unattensnr, attensnr] = calcsnr(volume, unattenvol, attenvol, unattenindex) 

% expects unattenindex = -1 if no lowb

valley = findvalley(volume(:),  prod(size(volume))^(1/3));
[n bins] = hist(volume(volume<valley), .5*prod(size(volume))^(1/3));
cdf = cumsum(n);
cdf = cdf / max(cdf);
[dummy j] = min(abs(cdf-.85));
thresh = bins(j);

foreground = volume > thresh;
background = volume <= thresh;

if (unattenindex ~= -1)
  unattensnr = mean(unattenvol(foreground))/std(unattenvol(background));
else
  unattensnr = -1;
end

for i = setdiff(1:size(attenvol,4), unattenindex)
  atemp = attenvol(:,:,:,i);
  snr(i) = mean(atemp(foreground))/std(atemp(background));
end

attensnr = mean(snr);


