% framesplit
%
% split mutliframe volume into individual frame volumes
%
% input: instem, outdir
%
% output: volumes

function framesplit(instem, outstem)
version = '$Id: framesplit.m,v 1.2 2003/07/08 04:11:41 dtuch Exp $';

fprintf('framesplit\n');

[rows cols frames slice0 slices endian bext] = fmri_bfiledim(instem);
if(isempty(rows))
  error(sprintf('ERROR: loading %s\n',instem));
  exit;
end

% load data
tic;
fprintf('Loading data ... \n');

try
  rawdata = fmri_ldbvolume(instem);
catch
  errmsg = lasterr;
  if (strfind(errmsg, 'Out of memory'));
    fprintf('ERROR: Insufficient memory.');
    exit;
  end
end

fprintf('Image dimensions:\n');
fprintf('  slices/rows/cols/frames = %d/%d/%d/%d\n', ...
	slices, rows, cols, frames);

fprintf('Writing frames to %s \n', dirname(outstem));

for frame = 1:frames
  framestem = sprintf('%s-%03d', outstem, frame-1);
  fprintf('%g ', frame - 1);
  fmri_svbvolume(squeeze(rawdata(:,:,:,frame)), framestem);
end
fprintf('\n');

fprintf('framesplit done\n');
exit;








