% volavg
%
% average volumes
%
% input: instems, outstem
%
% output: volume

function volavg(instems, outstem)
version = '$Id: volavg.m,v 1.2 2003/07/08 04:11:41 dtuch Exp $';

fprintf('volavg\n');

instems = tokenizestring(instems);
volumes = size(instems, 2);

[rows cols frames slice0 slices endian bext] = fmri_bfiledim(char(instems(1)));
if(isempty(rows))
  error(sprintf('ERROR: loading %s\n', char(instems(1))));
  exit;
end

avg = zeros(slices, rows, cols, frames);
tic;
fprintf('Consolidating workspace memory ... ');
pack;
fprintf('done (%g)\n',toc);

% load data

for i = 1:volumes 
tic;
  fprintf(sprintf('Loading %s ... ', char(instems(i))));
  data = fmri_ldbvolume(char(instems(i)));
  if (isempty(data))
    fprintf('ERROR: loading %s\n', char(instems(i)));
    exit;
  end
  avg = avg + data/volumes;
  fprintf('done (%g)\n',toc);
end

fprintf('Writing %s\n', outstem);
fmri_svbvolume(avg, outstem);
 
fprintf('volavg done\n');
exit;








