/**************************************************************
 Name:    bavg.c
 Purpose: computes the global average for a bshort or bfloat
 $Id: bavg.c,v 1.1 1999/05/19 20:16:42 greve Exp greve $
 **************************************************************/

#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <limits.h>
#include <errno.h>
#include <sys/stat.h>

#define  BSHORT 0
#define  BFLOAT 1

typedef union 
{
  long  l;
  float f;
  int i;
  char buf[4];
  short s[2];
} t_uni4;

float swapFVFloat(float value);
long int getfilesize(char *fname);

FILE *infp;
long i,j,k,nbytes,n0,n1,m0,m1,Nv;
short *dbs;
float *dbf;
double sum, sumsqrd;
double avg, std, var;
char  ext[6];
int   fl,btype;

int main(int argc, char **argv)
{
  if(argc != 2 && argc != 4){
    fprintf(stderr,"USAGE: bavg infile <n0 n1>\n");
    fprintf(stderr,"       Version: $Id: bavg.c,v 1.1 1999/05/19 20:16:42 greve Exp greve $\n");
    exit(1);
  }

  Nv = 4096L;

  /******* get extension *************/
  fl = strlen(argv[1]);
  sprintf(ext,"%s",&(argv[1][fl-6]));
  if(!strcmp(ext,"bshort"))      btype = BSHORT;
  else if(!strcmp(ext,"bfloat")) btype = BFLOAT;  
  else{
    fprintf(stderr,"Extension %s not recognized\n",ext);
    exit(1);
  }

  /******** open the input file ******/  
  infp = fopen(argv[1],"rb");
  if(infp==NULL){
    fprintf(stderr,"Error: cannot open %s\n",argv[1]);
    exit(1);
  } 

  /******* get number of bytes in file ********/
  nbytes = getfilesize(argv[1]);

  /****** Load the data in ***************/
  if(btype == BSHORT){
    k = nbytes/sizeof(short);
    dbs = (short *) malloc(k*sizeof(short));
    dbf = (float *) malloc(k*sizeof(float));
    i = fread(dbs, sizeof(short), k, infp);
    for(j=0;j<k;j++) dbf[j] = (float) dbs[j];
    free(dbs);
  }
  else{
    k = nbytes/sizeof(float);
    dbf = (float *) malloc(k*sizeof(float));
    i = fread(dbf, sizeof(float), k, infp);
  }
  fclose(infp);
  printf("nread = %ld, ntoread = %ld\n",i,k);

  if(argc == 4){
    sscanf(argv[2],"%ld",&m0);
    sscanf(argv[3],"%ld",&m1);    
    n0 = m0*Nv;
    n1 = (m1+1)*Nv;
  }
  else{
    n0 = 0L;
    n1 = k;
  }

  sum = 0;
  sumsqrd = 0;
  for(j=n0;j<n1;j++){
    sum += dbf[j];
    sumsqrd += (dbf[j]*dbf[j]);
  }
  
  avg = sum/(double)(n1-n0);
  var = sumsqrd/(double)(n1-n0) - avg*avg;
  std = sqrt(var);
  /*printf("%ld %ld %g %g %g %g %g\n",n0,n1,sum,sumsqrd,avg,var,std);*/
  printf("%10.4f %10.4f %10ld\n",avg,std,(n1-n0));

  return(0);
}

long int getfilesize(char *fname)
{
  struct stat filestat;
  int e;
  
  e = stat(fname, &filestat);
  if(e != 0){
    fprintf(stderr,"ERROR: Input File %s\n",fname);
    fprintf(stderr,"%s\n",strerror(errno));
    exit(1);
  }

  return((long int)filestat.st_size);
}

float swapFVFloat(float value)
{

  t_uni4 fliess;
  char tmp;
  short tmp2;

  fliess.f = value;
  tmp = fliess.buf[0];
  fliess.buf[0] = fliess.buf[1];
  fliess.buf[1] = tmp;

  tmp = fliess.buf[2];
  fliess.buf[2] = fliess.buf[3];
  fliess.buf[2] = tmp;

  tmp2 = fliess.s[0];
  fliess.s[0]= fliess.s[1];
  fliess.s[1]=tmp2;
 
  return fliess.f;
}
