#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int   fread1(int *v, FILE *fp) ;
int   fread2(int *v, FILE *fp) ;
int   fread3(int *v, FILE *fp) ;
int   fread4(float *v, FILE *fp) ;
float freadFloat(FILE *fp) ;

char fname[128];

int main(int argc, char **argv)
{
  
  int i,k,num,ilat;
  
  float f;
  float lat;
  FILE *fp;

  if(argc != 2 && argc != 3){
    fprintf(stderr,"USAGE: dumpw wfile <nvert>\n");
    exit(1);
  }
  
  strcpy(fname,argv[1]);

  fp = fopen(fname,"r");
  if (fp==NULL) {
    fprintf(stderr,"File %s not found\n",fname);
    exit(1);
  }
  
  fread2(&ilat,fp);
  lat = ilat/10.0;


  fread3(&num,fp);
  printf("-- ilat = %d, num = %d\n",ilat,num);

  if(argc == 3) sscanf(argv[2],"%d",&num);

  for (i=0;i<num;i++)
  {
    fread3(&k,fp);
    f = freadFloat(fp) ;
    printf("%6d %10.5f\n",k,f);
  }
  fclose(fp);

  return(0);
  
}



int
fread1(int *v, FILE *fp)
{
  unsigned char c;
  int  ret ;

  ret = fread(&c,1,1,fp);
  *v = c;
  return(ret) ;
}


int
fread2(int *v, FILE *fp)
{
  short s;
  int   ret ;

  ret = fread(&s,2,1,fp);
#ifdef Linux
  s = swapShort(s) ;
#endif
  *v = s;
  return(ret) ;
}

int
fread3(int *v, FILE *fp)
{
  unsigned int i = 0;
  int  ret ;

  ret = fread(&i,3,1,fp);
#ifdef Linux
  i = (unsigned int)swapInt(i) ;
#endif
  *v = ((i>>8) & 0xffffff);
  return(ret) ;
}

int
fread4(float *v, FILE *fp)
{
  float f;
  int   ret ;

  ret = fread(&f,4,1,fp);
#ifdef Linux
  f = swapFloat(f) ;
#endif
  *v = f;
  return(ret) ;
}


float
freadFloat(FILE *fp)
{
  float f;
  int   ret ;

  ret = fread(&f,4,1,fp);
#ifdef Linux
  f = swapFloat(f) ;
#endif
  return(f) ;
}

#if 0
MRISreadValues(MRI_SURFACE *mris, char *fname)
{
  int i,k,num,ilat;
  float f;
  float lat;
  FILE *fp;

  fp = fopen(fname,"r");
  if (fp==NULL) 
    ErrorReturn(ERROR_NOFILE, (ERROR_NOFILE,
                               "MRISreadValues: File %s not found\n",fname));
  fread2(&ilat,fp);
  lat = ilat/10.0;

  for (k=0;k<mris->nvertices;k++)
    mris->vertices[k].val=0;
  fread3(&num,fp);
  for (i=0;i<num;i++)
  {
    fread3(&k,fp);
    f = freadFloat(fp) ;
    if (k>=mris->nvertices||k<0)
      printf("MRISreadValues: vertex index out of range: %d f=%f\n",k,f);
    else
    {
      mris->vertices[k].val = f;
    }
  }
  fclose(fp);
  return(NO_ERROR) ;
}

#endif
