function vol = fast_mat2dtovol(mat2d,szvol)
%
% vol = fast_mat2dtovol(mat2d,szvol)
% 
% Reshapes a 2d matrix of size nframes X nvoxels
% to a volume of size [szvol nframes]
%
% See also fast_voltomat2d().

vol = [];

if(nargin ~= 2)
  fprintf('USAGE: vol = fast_mat2dtovol(mat2d,szvol)\n');
  return;
end

if(length(szvol) < 3)
  fprintf('ERROR: szvol dim must be >= 3\n');
  return;
end

nv = prod(szvol(1:3));
if(nv ~= size(mat2d,2) )
  fprintf('ERROR: szvol inconsistent with mat2d\n');
  return;
end
nframes = size(mat2d,1);

vol = reshape(mat2d', [szvol(1:3) nframes]); %'

return;
