function mat2d = fast_voltomat2d(vol)
%
% mat2d = fast_voltomat2d(vol)
% 
% Reshapes the volume into a single 2d
% matrix of size nframes X nvoxels.
%
% See also fast_mat2dtovol().

mat2d = [];

if(nargin ~= 1)
  fprintf('USAGE: mat2d = fast_voltomat2d(vol)\n');
  return;
end

szvol = size(vol);
if(length(szvol) < 3)
  fprintf('ERROR: vol dim must be >= 3\n');
  return;
end

nv = prod(szvol(1:3));
if(length(szvol) > 3) nframes = szvol(4);
else                  nframes = 1;
end

mat2d = reshape(vol, [nv nframes])'; %'

return;
